---
extracts:
# Values: Enabled, Disabled. Not Nullable. Can't have no access, retrieved via Microsoft.KeyVault/keys
  - name: "CA10__enabledStatus__c"
    value: 
      FIELD:
        path: "CA10__enabledStatus__c"
        undeterminedIf:
          isEmpty: "Corrupted data. Key State cannot be empty."
# Nullable. Can't have no access, retrieved via Microsoft.KeyVault/keys
  - name: "CA10__expirationDate__c"
    value: 
      FIELD:
        path: "CA10__expirationDate__c"
# Nullable
  - name: "CA10__lifetimeActions__c"
    value: 
      FIELD:
        path: "CA10__lifetimeActions__c"
        # undeterminedIf:
        #   noAccessDelegate:
        #     path: "CA10__lifetimeActions__c"
        #     currentStateMessage: "Unable to determine Key Rotation Policy. Possible permission issue with keys/getrotationpolicy"